Subject: RE: Not all mans available
From: Mark Sheppard <[email-masked]>
To: "'Eugene Rosenzweig'" <[email-masked]>, Cygwin <[email-masked]>
Cc: Robert Mark Bram <[email-masked]>
Date: Tue, 19 Mar 2002 09:32:28 -0000

If your INFOPATH variable is correctly set to /usr/info then
I'd say that the problem is that your info directory page
doesn't include a full index to all the info files like it
should.

The install-info program is used to keep the "dir" index file
up to date by adding the appropriate entries from the .info
files, in this case:

START-INFO-DIR-ENTRY
* diff: (diff).                   GNU diff, diff3, sdiff, cmp, patch
END-INFO-DIR-ENTRY

So I guess that the right thing to do would be for the
postinstall script for each package that includes info files
to run install-info.  Looks like many don't, including diff
which doesn't have any postinstall script.  So as a work
around you'll have to build the dir file yourself.

Mark.

-----Original Message-----
From: Eugene Rosenzweig [mailto:[email-masked]]
Sent: 19 March 2002 06:31
To: Cygwin
Cc: Robert Mark Bram
Subject: Re: Not all mans available

I once asked along same lines and I was told that originally in GNU info was
going to be the replacement to man system... Why I am not sure but that must
have not worked out really well since half the stuff info digs up seems to
be manpages but without the eyecandy (highlighting and underline). Even when
at the bottom of the manpage it says, see info for complete documentation,
info still digs up same old manpage. The hypertext abilities are nice to
have of course, if there is a lot of cross-references and see-also's.
More directly to your query, I don't think there are any spare manpages or
info files anywhere. There is also documentation in /usr/doc but you will
not find diff there. Documentation to diff is in info format but I was
unable to get to it through the top menu of info. 'info diff' doesn't work
either, info --file=diff works. I think I am missing out on something very
basic here because this doesn't seem very natural to me (after 'man', I
guess). As for 'read' thats a bash inbuilt command and it is part of the
bash manpage or info page. Here info vindicates itself, navigating to the
right section is much easier through hyperlinks than linear text of manpage.

----- Original Message -----
From: "Robert Mark Bram" <[email-masked]>
To: "Cygwin" <[email-masked]>
Sent: Tuesday, March 19, 2002 3:35 PM
Subject: Not all mans available

> Hi all!
>
> When I try "man read" or "man diff" I am told by Cygwin "No manual entry
for
> read" or "No manual entry for diff".
>
> Was there a setup option with Cygwin I didn't include in order to get all
> the manuals?
>
> Is there a way for to download them?
>
> Thanks!
>
> Rob
>
> :)
> :-}
> ;->
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/